#include "K37P03.h"
#include "AnimationMontageDescriptor.h"

class ADBDPlayer;
class AInteractable;

void UK37P03::Multicast_OnPlayerReacting_Implementation(ADBDPlayer* player)
{

}

float UK37P03::GetBlockDuration() const
{
	return 0.0f;
}

void UK37P03::Authority_OnMontageEnded(const FAnimationMontageDescriptor montage, bool interrupted, ADBDPlayer* player)
{

}

void UK37P03::Authority_OnInteractorLockChanged(bool isLocked, ADBDPlayer* player, AInteractable* interactable)
{

}

void UK37P03::Authority_OnInteractableBlockChanged(AInteractable* interactable)
{

}

UK37P03::UK37P03()
{
	this->_blockDuration = 10.000000;
	this->_blockedInteractableStatusEffectClass = NULL;
}
